> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a bill

> Get the bill with the given id



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/bills/bill
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/bills/bill:
    get:
      tags:
        - Bills
      summary: Get a bill
      description: Get the bill with the given id
      operationId: getBill
      parameters:
        - name: id
          in: query
          description: Id of the specific bill
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    BillDTOV5:
      type: object
      properties:
        categoryId:
          type: integer
          description: Id of the category associated with this bill
          format: int64
        id:
          type: integer
          description: Id of the bill, required when updating an existing bill
          format: int64
        status:
          type: string
          description: Status of the bill
          enum:
            - DRAFT
            - OPEN
            - PAID
            - CANCELLED
            - DRAFT
            - OPEN
            - PAID
            - CANCELLED
        amount:
          type: number
          description: The amount of the bill
        date:
          type: string
          description: Date of the bill
          format: date-time
        dueDate:
          type: string
          description: Due date of the bill
          format: date-time
        vendorId:
          type: integer
          description: Id of the vendor associated with this bill
          format: int64
        name:
          type: string
          description: Name of the bill
        billNo:
          type: integer
          description: Number of the bill
          format: int32
        apiName:
          type: string
          description: Name of the API from which this bill originated
          enum:
            - PARTNER_IMPLEMENTATION
            - MELIO
            - USER_ENTRY
        apiInstitutionName:
          type: string
          description: Name of the institution from which the bill originated
        apiBillId:
          type: string
          description: Id of the bill on associated API
        v6Id:
          type: string
          description: Id of the v6 bill entity
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````